Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.monitoring.protocol.v2
Class AliveCheckResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.monitoring.protocol.v2.AliveCheckResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:24+02:00",
               comments="JAXB RI v2.2.11")
    public class AliveCheckResponse

extends StatusResponseType
implements Serializable

Output type of aliveCheck operation

Java class for AliveCheckResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AliveCheckResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element ref="{}MonitoringXML"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AliveCheckResponse()`

Method Summary
`MonitoringXML` | `getMonitoringXML()` Gets the value of the monitoringXML property.
`void` | `setMonitoringXML(MonitoringXML value)` Sets the value of the monitoringXML property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliveCheckResponse

    public AliveCheckResponse()

Method Detail

### getMonitoringXML

    public MonitoringXML getMonitoringXML()

  Gets the value of the monitoringXML property.

  Returns:
    possible object is `MonitoringXML`

### setMonitoringXML

    public void setMonitoringXML(MonitoringXML value)

  Sets the value of the monitoringXML property.

  Parameters:
    `value` - allowed object is `MonitoringXML`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.